Launchpad only supports one CoC - the Ubuntu Leadership CoC is not supported.

Reported by Martin Owens on 2009-06-27
78
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned
ubuntu-community
Medium
Ubuntu LoCo Council

Bug Description

I only stumbled on the Leadership Code of Conduct because I joined the board for the Ubuntu Learning group. It would have been great if as a Local Community leader I was given and held to the higher codes.

Suggested fixes: When new contacts are announced, we should have a message with a bunch of links that includes the CoC, each new team should also be encouraged to announce their leadership and changes in it.

Randall Ross (randall) wrote :

Perhaps we could add some software code to an upcoming release that would present an easy way to sign the CoC for all community members. Auto-generation (or inclusion) of keys would help simplify the process.

Think of it as a EULA that actually stands for something positive.

Martin Owens (doctormo) wrote :

@rrnwexec - this isn't for the normal CoC but for the leadership CoC

http://www.ubuntu.com/community/leadership-conduct

Nathan Handler (nhandler) wrote :

I would like to see this made a requirement for people serving on official Ubuntu Councils. Most of our leaders do make an effort to uphold the Leadership Code of Conduct. However, it would be nice having a place for leaders to upload a signed copy of the Code of Conduct. This would be similar to how Launchpad currently handles the regular Code of Conduct. Another option would be to require the user to email a signed copy of the Code of Conduct to the Community Council prior to being able to join a leadership team. As I said earlier, our leaders tend to do a good job of leading, and follow the Code of Conduct to the best of their abilities. Requiring them to actually sign it would just allow us to hold them to it in the event that their actions come under review.

Nathan: Do you count LoCo leaders as community leaders? people who are
not in community boards that cross geographical boundaries but are
leading Ubuntu advocates doing events and such.

Martin, LoCo leaders are leaders. As a result, they should sign the Leadership Code of Conduct.

Randall Ross (randall) wrote :

@Martin Owens: Thanks for the link.

Back with an expansion to my original point: The process for signing the CoC, leadership or not, is disjointed from the process of entering the Ubuntu world. The way most people enter this world is that they install Ubuntu on their computer. It is counter-productive to expect them to check in several different places for information that is key to establishing community.

What if, upon successful installation, there was a program that ran and presented CoC's for signature based on some basic user-input.

I'm not a UI person, nor a programmer, but conceptually(and very roughly) something like this:

"Welcome to Ubuntu. This is a community-based project and some of the best support and information can be derived from people in your local community. As an Ubuntu user you are encouraged join your neighbours in helping one-another. One way to do this is by joining a LoCo."
Choices are: <Yes, tell me more> or <No thanks, maybe later>

"LoCo's are open to all and friendly to any level of participation in the project, regardless of your experience level. We encourage everyone who participates in a LoCo to acknowledge a "Code of Conduct". This helps to strengthen the community and provides a positive experience for everyone."
Choices are: <I'd like to see the CoC> or <No thanks, maybe later>

Thoughts? Ideas?

My sole goal in suggesting this is to tighten the integration of the OS with our unique (and admirable) community processes. As Ubuntu users/developers/advocates/leaders we already recognize how important this is.

Jono Bacon (jonobacon) on 2009-06-30
Changed in ubuntu-community:
assignee: nobody → Ubuntu LoCo Council (ubuntu-lococouncil)
Jono Bacon (jonobacon) wrote :

I agree that we should be asking our new LoCo Contacts to have read and follow the best practise in the Ubuntu Leadership Code of Conduct. Today we don't recommend this.

I took a quick look at the wiki and we need to make this requirement in the following pages:

  * https://wiki.ubuntu.com/LoCoTeamHowto
  * https://wiki.ubuntu.com/LoCoFAQ

I think it would make most sense for the LoCo Council to lead the charge on this. Could someone from the council update the above pages and maybe send an email to loco-contacts to remind people of the leadership CoC?

Changed in ubuntu-community:
importance: Undecided → Medium
status: New → Confirmed
Randall Ross (randall) wrote :

Is there a reason why we can't integrate this into the distribution? I'm not in favour of an approach that assumes people will track down wikis and information scattered across the web. Every user of Ubuntu should see the CoC, by default, at least to know that it exists.

Jorge O. Castro (jorge) wrote :

Has the LoCo council had a chance to discuss this yet?

Jan Claeys (janc) wrote :

@Randall: please file another bug for your request as it's not the same as this bug (feel free to leave a note with the new bug number though).

@Jorge & Jono: I'm looking into getting this done ASAP.
One remark I have is that it should apply to everybody who has a (formal or informal) leadership-position in their LoCoTeam, not only for LoCo Contacts, but otherwise I agree.

@Martin
Re: "each new team should also be encouraged to announce their leadership and changes in it"
Some teams like ubuntu-be don't have a formal leadership, so it's difficult to formally announce leadership changes... ;-)

Changed in ubuntu-community:
status: Confirmed → In Progress

On Thu, Sep 24, 2009 at 11:54 AM, Jan Claeys <email address hidden> wrote:
> One remark I have is that it should apply to everybody who has a (formal or informal) leadership-position in their LoCoTeam, not only for LoCo Contacts, but otherwise I agree.

I agree. For example in the Italian team where we have recently been
discussing this issue, we feel that the leadership CoC should apply to
anyone with a position of responsibility in the community, including
but not limited to team leads, CC members and forum moderators.

On Nathan's point, I don't think that we currenly require any leaders
in the community (whether in the LoCo community or otherwise) to
*sign* this document. Personally, I don't think we need to, the
document is an explanation of standards that we hold our leaders to
rather than something that people can voluntarily agree to be bound
by. From a practical perspective, it would be difficult to police a
requirement that all leaders sign this document. However, that's just
my personal and initial opinion and if someone wants to propose that
this document be made signable and leaders be encouraged to do so, I
think it should be put to the Community Council for discussion. It's
outside the scope of this bug report.

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

I would like to see any team leader - point of contact signing this document the same way Ubuntu members sign the CoC

Perhaps when they agree to take on the role of Team leader - and this is updated on Launchpad or the Local Directory they have to also sign this agreement.

Agreed, the LCoC should be familiar to, and signed by, team leaders.

I'll add that to the next LoCo council meeting and see if we can come up with some way for this to be implemented and come back and update this bug

Changed in ubuntu-community:
status: In Progress → Confirmed
Chris Crisafulli (itnet7) wrote :

I agree that this holds great value for our community, It would help alleviate some questions and doubts on what's expected from Loco team leaders, and present and future leadership of our teams. As was mentioned earlier, I feel it would be good to include signing of the LCoC for All council positions. We should also encourage existing Team Leaders/Contacts/Administrators to read, understand, and sign the LCoC as well (at risk of not staying within boundaries of this current bugs scope).

We can even go a step further in the near future and set it as a prerequisite for a LoCo's Leadership prior to applying for Team Approval (In cases where new teams are being formed), and potentially Re-Approvals.

This should not be limited to just those few in my opinion, though. I feel it should extend to potential leaders and members that would like to demonstrate that they've made a choice to hold themselves to this higher standard. This could be really helpful when teams are spread out across many miles within a state, country or region, and teams look to identify leaders in those areas. LoCo leaders would have a much easier time growing their teams and running simultaneous events, if volunteers interested in leading could also sign.

There should be a distinction though between this and the standard CoC. We need to impress the importance of the difference and ensure that people don't just sign it in a trivial manner, as just another task item to mark completed.

I'll think translating it into different anguages should be a good
work item too...

On Sun, Apr 4, 2010 at 6:39 AM, Chris Crisafulli <email address hidden> wrote:
> I agree that this holds great value for our community, It would help
> alleviate some questions and doubts on what's expected from Loco team
> leaders, and present and future leadership of our teams. As was
> mentioned earlier, I feel it would be good to include signing of the
> LCoC for All council positions. We should also encourage existing Team
> Leaders/Contacts/Administrators to read, understand, and sign the LCoC
> as well (at risk of not staying within boundaries of this current bugs
> scope).
>
> We can even go a step further in the near future and set it as a
> prerequisite for a LoCo's Leadership prior to applying for Team Approval
> (In cases where new teams are being formed), and potentially Re-
> Approvals.
>
> This should not be limited to just those few in my opinion, though. I
> feel it should extend to potential leaders and members that would like
> to demonstrate that they've made a choice to hold themselves to this
> higher standard. This could be really helpful when teams are spread out
> across many miles within a state, country or region, and teams look to
> identify leaders in those areas. LoCo leaders would have a much easier
> time growing their teams and running simultaneous events, if volunteers
> interested in leading could also sign.
>
> There should be a distinction though between this and the standard CoC.
> We need to impress the importance of the difference and ensure that
> people don't just sign it in a trivial manner, as just another task item
> to mark completed.
>
> --
> Leadership CoC not given to LoCo Leads
> https://bugs.launchpad.net/bugs/392976
> You received this bug notification because you are a member of Ubuntu
> LoCo Council, which is a bug assignee.
>

It should also be noted: the Leadership Code of Conduct hasn't been translated and this should also happen as we're a massive community full of many different languages we should try and get as many of these types of inforamtive documents translated.

Randall Ross (randall) wrote :

I will open a separate bug report for the LCoC and CoC integration idea that I outlined in comments #1, #6 and #8.

For now, I suggest that we somehow sign the LCoC within Launchpad (using same process currently used for the CoC) Is it do-able?

Randall Ross (randall) wrote :

See Bug #436074 for the LCoC and CoC integration issue/idea.

Op zaterdag 03-04-2010 om 21:40 uur [tijdzone +0000], schreef Mark
Shuttleworth:
> Agreed, the LCoC should be familiar to, and signed by, team leaders.

AFAIK there is no clear definition of who is a "team leader" though...

Maybe we can define it as everybody who has "some power or authority" in
a team?

That would include LoCo contacts, IRC ops & channel owners, forum
moderators, LP team owners & administrators, mailing list owners &
moderators, site/server administrators, council members, board members
(in case a locoteam is incorporated as a non-profit), event coordinators
& organisers, etc.

Does anybody have a better definition (or list)?

--
Jan Claeys

Curtis Hovey (sinzui) on 2010-10-29
Changed in launchpad-registry:
status: New → Triaged
importance: Undecided → High
milestone: none → series-future
Curtis Hovey (sinzui) on 2010-12-03
tags: added: coc
tags: added: codeofconduct
removed: coc

I think we'll need a LEP for this, the interactions are moderately extensive.

summary: - Leadership CoC not given to LoCo Leads
+ Leadership CoC not given to Ubuntu Leaders

Curtis whts the a us with making the happen??

Curtis Hovey (sinzui) wrote :

@czajkowski
I do not understand your question, but re-reading this bug, I think you might be asking how we go about closing this issue.

There are a lot of details missing from this conversation. I think this issue is about send emails to team members because of some event, and the email directs the user to sign a CoC for some sort. Lp does not have a concept of team leaders, configurable emails for teams, or support CoCs other than Ubuntu. This may not be the issue at all.

As Robert indicated, we need a LEP (https://dev.launchpad.net/LaunchpadEnhancementProposalProcess) to define why we want to do this and how we will know we are done. This will help us to understand the scope of the issue. Lp staff only work on stakeholder issues, and this is not an issue at this time. Someone will need work with the Lp project manager to determine if this is something the staff should work on. The Lp community is always welcome to develop the feature, and the Lp staff can assist in in the design.

PS. I at UDS, we can talk.

Laura Czajkowski (czajkowski) wrote :

@curtis sorry blame me and typing on a tablet.

The issue regarding the LCoC has arisen again and we are trying to work out best how to sign it like the CoC for team leaders or possibly one way of looking at it people who are elected to governance boards so by being elected to say the CC you need to sign this ? Perhaps we can meet during UDS and chat about it please?

Curtis Hovey (sinzui) wrote :

Ah, good, I think I do understand that issue and can help get it fixed. Let's talk at UDS--I believe I am the only man there wearing and tie and has painted fingers--I think I can be found.

Robert Collins (lifeless) wrote :

This isn't on LP's roadmap at the moment. We'd be delighted to mentor patches for it (see the list discussion Sinzui kicked off, for instance).

summary: - Leadership CoC not given to Ubuntu Leaders
+ Launchpad only supports one CoC - the Ubuntu Leadership CoC is not
+ supported.
Changed in launchpad:
importance: High → Low
Benjamin Kerensa (bkerensa) wrote :

It is unfortunate this is not on the roadmap because this would be an excellent improvement to Launchpad.

Charles Profitt (cprofitt) wrote :

So I understand the issue better; what does having a 'signature' of the LCoC provide for the community vs. leadership acknowledging that they have read the document?

Charles Profitt (cprofitt) wrote :

The reason I asked the above question is that we may derive the same benefit of the signature of the CoC and LCoC by using a simple checkbox on Launchpad. That would also make it easier for new community contributors to agree to the CoC / LCoC and 'acknolwedge' it.

Yes, I agree, this could be a checkbox not a GPG signature, which would
be much more usable.

Mark

Benjamin Kerensa (bkerensa) wrote :

My understanding is the LCoC is being merged into the CoC to better address the totality of situations in which the CoC applies and that akgraner is working on the merge and that a merge proposal may soon be available.

Changed in ubuntu-community:
status: Confirmed → In Progress
Charles Profitt (cprofitt) wrote :

+Benjamin Kerensa:

That is my understanding as well. I would still like to see an effort made, if possible, to make this a simple check box on Launchpad.

I can understand that developers need the skill to sign something and use SSH keys, but most of our community likely will not. I would like to make the barrier to accepting the CoC as low as possible.

Benjamin Kerensa (bkerensa) wrote :

+Charles Profitt:

My understanding is that it would take a lot of work from LP Team to support acknowledging LCoC as a new feature on LP and new features cost money maintain therefore it was not likely that LP Team would develop this item and considered it "wishlist" and was welcome for community members to submit a patch?

Robert Collins (lifeless) wrote :

We consider maintenance cost as part of any change proposal. Making
the CoC be a checkbox rather than a GPG handshake would reduce
maintenance overhead (we spend some time debugging GPG interactions
for new community members on a fairly regular basis). So, I don't see
any maintenance cost issues here.

Curtis Hovey (sinzui) wrote :

Switching from signed text to checkboxes will reduce maintenance costs because support staff are answering questions about gpg signing, explaining errors caused by botched pastes, and must explain that the keyserver may be a day behind.

Some model/schema works is need to de-support the signedcode and signingkey -- they cannot be null and the later must reference a user's registered gpg key. The SignedCodeOfConduct.active field might be repurposed as proposed checkbox. Un checking Active means you have "unsigned" the CoC.

Benjamin Kerensa (bkerensa) wrote :

This may lower the burden for new contributors as well... I recently had a college student who complained about the one hour it took to get setup on Launchpad (waiting for key to sync etc)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers